
From: Paul King <paul@allied-universal.com>

I recently got an ISA Phonejack card and quickly found it wouldn't work
with a stock 2.6.7 kernel.  

So found this bug in the ISAPNP part of the code, throughout the code it
use it's own data structure to reference it's base IO address, in the
ISAPNP code this was not being populated with any value hence it can't talk
to the card and so the driver fails.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/telephony/ixj.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/telephony/ixj.c~telephony-driver-isapnp-fix drivers/telephony/ixj.c
--- 25/drivers/telephony/ixj.c~telephony-driver-isapnp-fix	2004-06-30 12:07:03.521750552 -0700
+++ 25-akpm/drivers/telephony/ixj.c	2004-06-30 12:07:03.532748880 -0700
@@ -7757,6 +7757,7 @@ int __init ixj_probe_isapnp(int *cnt)
 			}
 
 			j = ixj_alloc();
+			j->DSPbase = pnp_port_start(dev,0);
 			request_region(j->DSPbase, 16, "ixj DSP");
 
 			if (func != 0x110)
_
